Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.bea.content.capability
Enum SearchFeatureCapability

    java.lang.Object
      java.lang.Enum<SearchFeatureCapability>
          com.bea.content.capability.SearchFeatureCapability

All Implemented Interfaces
  IFeatureCapabilityType, Serializable, Comparable<SearchFeatureCapability>

    public enum SearchFeatureCapability

extends Enum<SearchFeatureCapability>
implements IFeatureCapabilityType

Feature capabilities which are search-related

Enum Constant Summary
`SearchKeyword` Keyword search (using the keyword search mechanism via the Search object)
`SearchKeywordIndexPath` Content Nodes can be indexed by path in support of keyword search.
`SearchKeywordIndexType` Content Nodes can be indexed by type in support of keyword search.
`SearchMetadata` Metadata search (using the metadata search expression language in the Search object)

Method Summary
`static SearchFeatureCapability` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static SearchFeatureCapability[]` | `values()` Returns an array containing the constants of this enum type, in the order theyre declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### SearchKeyword

    public static final SearchFeatureCapability SearchKeyword

  Keyword search (using the keyword search mechanism via the Search object)

  See Also
    `Search`, `FullTextSearchFactory`

### SearchMetadata

    public static final SearchFeatureCapability SearchMetadata

  Metadata search (using the metadata search expression language in the Search object)

  See Also
    `Search`

### SearchKeywordIndexPath

    public static final SearchFeatureCapability SearchKeywordIndexPath

  Content Nodes can be indexed by path in support of keyword search. Generally intended as a re-index operation.

### SearchKeywordIndexType

    public static final SearchFeatureCapability SearchKeywordIndexType

  Content Nodes can be indexed by type in support of keyword search. Generaly intended as a re-index operation.

Method Detail

### values

    public static final SearchFeatureCapability[] values()

  Returns an array containing the constants of this enum type, in the order theyre declared.

### valueOf

    public static SearchFeatureCapability valueOf(String name)

  Returns the enum constant of this type with the specified name.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved